---
title: Springboot启动脚本
description: Springboot启动脚本
published: true
date: 2021-08-03T09:26:01.422Z
tags: springboot, cento
editor: markdown
dateCreated: 2021-08-03T09:19:13.633Z
---

# 启动脚本

编写脚本
``` bash
$ vim start.sh
```

```shell
#!/bin/sh

# 删除pid输出文件
rm -f tpid
# 启动命令
nohup java -jar -Dspring.profiles.active=prod ./XXX.jar >/dev/null 2>&1 &

# pid输出到文件中
echo $! > tpid

# 描述启动成功
echo Start Success!
```

# 启动服务
1. 直接启动

```bash
$ sh ./start.sh
```

2. 修改为可执行文件再启动

```bash
$ chmod u+x ./start.sh
$ ./start.sh
```

